- job:
    name: trigger-tvm-ci-build
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: true
    node: triggers
    display-name: 'DELETE ME'
    scm:
        - git:
            url: https://github.com/apache/tvm.git
            branches:
                - origin/main
            submodule:
                recursive: true
    triggers:
        - pollscm:
            cron: 'H/5 * * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
    builders:
        - shell: |
            #!/bin/bash -e
            git clean -fdx
            echo GIT_COM_ID=${GIT_COMMIT} >> tvm_ci_parameters
            cat tvm_ci_parameters
    publishers:
        - trigger-parameterized-builds:
            - project: 'tvm-ci-build'
              property-file: tvm_ci_parameters
